function agent = LocalControl(agent)
% Perform control update locally on agent AGENT.
% 
% Input:
%   agent   agent's state struct
%
% Output:
%   agent   agent's state struct (updated)
%
% --
% Supplementary material (simulation examples) to:
%   Distributed Event-based State Estimation (technical report)
%   Event-based State Estimation: An Emulation-based Approach (journal)
%
% Copyright 2015-17 Max Planck Society. All rights reserved.
% 
% Sebastian Trimpe
% Max Planck Institute for Intelligent Systems
% Autonomous Motion Department
% strimpe(at)tuebingen.mpg.de
%
% Revision history
% [07.04.15]    first version
% [03.08.15]    some clean up


%% Control
% Each agent computes the control input for all of its actuators.
for iA=1:agent.nInp
    agent.u{iA} = agent.F_i{iA} * agent.xhat_full;
end;

